<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="emailTransaction">
            <h2><span>Email Transaction</span> {{ emailTransaction.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Template Name</span></dt>
                <dd>
                    <span>{{ emailTransaction.templateName }}</span>
                </dd>
                <dt><span>To</span></dt>
                <dd>
                    <span>{{ emailTransaction.to }}</span>
                </dd>
                <dt><span>Subject</span></dt>
                <dd>
                    <span>{{ emailTransaction.subject }}</span>
                </dd>
                <dt><span>Body</span></dt>
                <dd>
                    <span>{{ emailTransaction.body }}</span>
                </dd>
                <dt><span>Send Date</span></dt>
                <dd>
                    <span>{{ emailTransaction.sendDate }}</span>
                </dd>
                <dt><span>Status</span></dt>
                <dd>
                    <span>{{ emailTransaction.status }}</span>
                </dd>
                <dt><span>Error</span></dt>
                <dd>
                    <span>{{ emailTransaction.error }}</span>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/email-transaction', emailTransaction.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
